jQuery.noConflict()(function($) {
	'use strict';
	var isMobile = {
		Android: function() {
			return navigator.userAgent.match(/Android/i);
		},
		BlackBerry: function() {
			return navigator.userAgent.match(/BlackBerry/i);
		},
		iPhone: function() {
			return navigator.userAgent.match(/iPhone/i);
		},
		iPad: function() {
			return navigator.userAgent.match(/iPad/i);
		},
		iPod: function() {
			return navigator.userAgent.match(/iPod/i);
		},
		iOS: function() {
			return navigator.userAgent.match(/iPhone|iPad|iPod/i);
		},
		Opera: function() {
			return navigator.userAgent.match(/Opera Mini/i);
		},
		Windows: function() {
			return navigator.userAgent.match(/IEMobile/i);
		},
		any: function() {
			return (isMobile.Android() || isMobile.BlackBerry() || isMobile.iOS() || isMobile.Opera() || isMobile.Windows());
		}
	};

	var $admin_bar_height = $('#wpadminbar').height();




	$(document).ready(function() {


		// Preloader
		if($('.vl-preloader-holder').length){
			NProgress.configure({
				minimum: 0.08,
				easing: 'ease',
				positionUsing: '',
				speed: 500,
				trickle: false,
				showSpinner: false,
				barSelector: '[role="bar"]',
				template: '<div class="bar" role="bar"></div>'
			});

			NProgress.start();
		}


		vlPrimaryMenu();
		vlHeaderSidebar();
		vlPortfolio();
		vlBloglistMasonry();
		vlOwlSliderBlog();
		vlBackToTop();
		vl_lightcase();


		$('body').fitVids();



		vl_alert_shortcode();
		vl_collage_shortcode();
		vl_counter_up_shortcode();
		vl_progress_bar_shortcode();
		vl_image_slider_shortcode();
		vl_sidebar_fixed_shortcode();
		vl_testimonial_shortcode();
	});



	function vl_lightcase() {

		var element = $('a.is-popup');

		element.lightcase({
			speedIn: 400,
			speedOut: 300,
		});

	}


	function vl_sidebar_fixed_shortcode() {

		var offset = 30;

		if($('.vl-primary-nav').hasClass('vl-nav-fixed')){
			 offset += $('.vl-primary-nav').height();
		}

		if($('body').hasClass('admin-bar')){
			offset += $admin_bar_height;
		}

		$('.vl-content-fixed > div, .vl-sidebar-fixed > div').theiaStickySidebar({
			containerSelector: '.vl-sticky-sidebar-parent',
			additionalMarginTop: offset,
			additionalMarginBottom: 30
		});
	}

	function vl_collage_shortcode() {
		var element = $('.vl-collage-list');
		element.imagesLoaded(function() {
			element.removeWhitespace().collagePlus({
				'allowPartialLastRow': element.data('allow-partial-last-row'),
				'direction': 'vertical',
				'targetHeight': element.data('target-height'),
			});
		});
	}


	function vl_testimonial_shortcode() {
		var element = $('.owl-testimonial-shortcode');

		element.each(function(){
			$(this).owlCarousel({
				margin: $(this).data('margin'),
				loop: true,
				autoWidth: false,
				items: $(this).data('items'), 
				nav: false,
				dots: false,
				autoHeight: $(this).data('auto-height'),
			});
		});


	}



	function vl_image_slider_shortcode() {
		var element = $('.owl-slider-shortcode');

		element.each(function(){
			$(this).owlCarousel({
				margin: 0,
				loop: true,
				autoWidth: false,
				items: 1, 
				nav: $(this).data('arrows'),
				dots: $(this).data('dots'),
				navText: ['<i class="ion ion-chevron-left"></i>', '<i class="ion ion-chevron-right"></i>'],
			
			});
		});
	}


	function vl_progress_bar_shortcode() {
		var element = $('.vl-progress-bar'),
			duration = 750;

		element.each(function() {
			$(this).one('inview', function() {
				var t = $(this),
					percent = parseInt(t.find('.vl-progress-bar--percent').text(), 10);
				t.find('.vl-progress-bar--inner, .vl-progress-bar--percent').animate({
					width: percent + '%'
				}, duration);
				t.find('.vl-progress-bar--percent').countTo({
					from: 0,
					to: percent,
					speed: duration,
					refreshInterval: 30
				});
			});
		});

	}

	function vl_counter_up_shortcode() {
		var element = $('.vl-counter-up');
		element.each(function() {
			$(this).one('inview', function() {
				var t = $(this),
					number = parseInt(t.find('.vl-counter-number').text(), 10);
				t.find('.vl-counter-number').countTo({
					from: 0,
					to: number,
					speed: 1200,
					refreshInterval: 30
				});
			});
		});
	}







	function vl_alert_shortcode() {
		var element = $('.vl-alert.vl-alert-dismissible'),
			close = $('.vl-alert.vl-alert-dismissible .vl-alert-close');

		close.on('click', function() {
			$(this).parent(element).remove();
			return false;
		});
	}


	// Header sidebar
	function vlHeaderSidebar() {

		var button = $('.vl-sidebar-btn');
		var sidebar = $('.vl-header-sidebar');

		button.on('click', function (e) {
			e.preventDefault();
			$(this).toggleClass('is-active');
			sidebar.slideToggle(300);
		});

		$(document).on('click', function () {
			button.removeClass('is-active');
			sidebar.slideUp(300);
		});


		$('.vl-header-sidebar, .vl-sidebar-btn').on('click', function (e) {
			e.stopPropagation();
		});
	}

	// Primary Menu
	function vlPrimaryMenu(){

		var $offset = 0;

		if($('body').hasClass('admin-bar')){
			$offset += $admin_bar_height;
		}


		$('.vl-nav-fixed').sticky({
			topSpacing: $offset,
			zIndex: 888
		});

		$('.vl-primary-nav > ul').slicknav({
			prependTo: '.vl-mobile-menu-wrap nav',
			closedSymbol: '',
			openedSymbol: '',
		});

		$('.vl-mobile-btn').on('click', function (e) {
			e.preventDefault();
			$('body').toggleClass('is-open-mobile-menu no-scroll');
		});

		$('.vl-mobile-overlay').on('click', function () {
			$('body').removeClass('is-open-mobile-menu no-scroll');
		});


	}



	// Portfolio
	function vlPortfolio() {

		var portfolioContainer = $('.vl-portfolio-masonry-wrapper'),
			portfolioFilterContainer = $('.vl-portfolio-filter'),
			portfolioSortingContainer = $('.vl-portfolio-sorting');

		// http://isotope.metafizzy.co/sorting.html

		portfolioContainer.imagesLoaded(function() {
			portfolioContainer.isotope({
				itemSelector: 'article',
				layoutMode: 'masonry',
				transitionDuration: '300ms',
				getSortData: {
					date: '[data-date]',
					views: '[data-views]',
				}
			});
		});

		portfolioSortingContainer.find('a').on('click', function() {

			portfolioSortingContainer.find('a').removeClass('is-active');
			$(this).addClass('is-active');

			portfolioContainer.isotope('reloadItems').isotope({
				sortBy: $(this).attr('data-sort'),
				sortAscending: false
			});

			return false;

		});

		portfolioFilterContainer.find('a').on('click', function() {

			portfolioFilterContainer.find('a').removeClass('is-active');
			$(this).addClass('is-active');

			portfolioContainer.isotope({
				filter: $(this).attr('data-filter')
			});
			return false;
			
		});
	}

	//Bloglist masonry
	function vlBloglistMasonry() {
		var bloglistContainer = $('.vl-postlist-masonry');

		bloglistContainer.imagesLoaded(function() {
			bloglistContainer.isotope({
				itemSelector: 'article',
				layoutMode: 'masonry',
				transitionDuration: '150ms'
			});
		});
	}

	// Owl Blog slider global
	window.vlOwlSliderBlog = function(){
		var element = $('.owl-slider-blog');
		element.owlCarousel({
			margin: 0,
			loop: true,
			autoWidth: false,
			items: 1,
			nav: true,
			dots: true,
			navText: ['<i class="ion ion-chevron-left"></i>', '<i class="ion ion-chevron-right"></i>']
		});
	}

	// Back to top
	function vlBackToTop(){

		var element = $('.vl-back-to-top'),
			offset = 200,
			duration = 350;

		$(window).on('scroll', function() {
			if(($(window).scrollTop() + $(window).height() > $(document).height() - offset) && $(window).scrollTop() > offset + 50) {
				element.removeClass('is-hidden').addClass('is-visible');
			} else{
				element.removeClass('is-visible').addClass('is-hidden');
			}
		});

		element.on('click', function() {
			$('html, body').animate({
				scrollTop: 0
			}, duration);
			return false;
		});

	
	}


	$(window).on('load', function() {  

		// Preloader
		if($('.vl-preloader-holder').length){
			setTimeout(function(){
				NProgress.done();
				$('body').addClass('site-loaded');
			},500);
		}

	});  



});