<?php if(post_password_required()): ?>

<div class="vl-alert vl-alert-warning">
	<p><?php esc_html_e( 'This post is password protected. Enter the password to view comments.', 'dreamy' ); ?></p>
</div>

<?php
    return;
	endif;
?>

<?php if ( have_comments() ) : ?>


<div class="vl-comments">

	<h4 class="vl-comments--number">
		<?php comments_number(esc_html__('No Comments', 'dreamy'), esc_html__('One Comment', 'dreamy'), esc_html__('% Comments', 'dreamy')); ?>
	</h4>

	<?php if(get_comment_pages_count() > 1 && get_option('page_comments')): ?>
	<nav class="vl-comments-navigation">
		<?php previous_comments_link(); ?>
		<?php next_comments_link(); ?>
	</nav>
	<?php endif; ?>

	<ul class="vl-comments--list">
		<?php
			wp_list_comments( array(
				'short_ping' => true,
				'callback' => 'dreamy_custom_comment',
			) );
		?>
	</ul>

</div>

<?php endif; ?>

<?php if (!comments_open() && get_comments_number() && post_type_supports(get_post_type(), 'comments')): ?>

<div class="vl-comments">
	<p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'dreamy' ); ?></p>
</div>

<?php endif; ?>

<?php if (comments_open()): ?>

<?php

	$commenter = wp_get_current_commenter();
	$args = array(

		'class_form' => 'vl-comment-form',

		'label_submit' => esc_html__('Submit Comment', 'dreamy'),

        'title_reply_before' => '<h4 id="reply-title" class="comment-reply-title">',
        'title_reply_after' => '</h4>',

        'cancel_reply_before' => '',
        'cancel_reply_after' => '',

		'title_reply_to' => esc_html__( 'Leave a Reply to', 'dreamy' ) . ' %s',

		'cancel_reply_link' => esc_html__( 'Cancel Reply', 'dreamy' ),

		'submit_button' => '<button type="submit" id="%2$s" class="%3$s">%4$s</button>',
		'class_submit' => 'vl-btn vl-btn--primary',

        'comment_field' => '<textarea id="comment" name="comment" placeholder="' . esc_attr('Comment*', 'dreamy') . '"  rows="5"></textarea>',
        'fields' => apply_filters(
            'comment_form_default_fields',
            array(
                'author' => '<div class="row"><div class="col-sm-4"><input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" placeholder="' . esc_attr__( 'Name*', 'dreamy' ) . '" /></div>',
                'email' => '<div class="col-sm-4"><input id="email" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" placeholder="' . esc_attr__( 'E-mail*', 'dreamy' ) . '" /></div>',
                'url' => '<div class="col-sm-4"><input id="url" name="url" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) . '" placeholder="' . esc_attr__( 'Website', 'dreamy' )  . '" /></div></div>'
            )
        ),

    );

?>

<div class="vl-comment-form-wrap">
	<?php comment_form($args); ?>
</div>

<?php endif;
