<?php


if(!function_exists('dreamy_demo_import')){
	function dreamy_demo_import(){
		$data_url = get_template_directory() . DreamyDashboardVlthemes::DASHBOARD_DIRECTORY . 'demo-import/';
		$img_url = get_template_directory_uri() . DreamyDashboardVlthemes::DASHBOARD_DIRECTORY_URI . 'demo-import/';

		return array(
			array(
				'import_file_name' => esc_html__('Demo Default', 'dreamy'),
				'local_import_file' => $data_url . 'demo-content.xml',
				'local_import_widget_file' => $data_url . 'widgets.json',
				'local_import_customizer_file' => $data_url . 'customizer1.dat',
				'import_preview_image_url' => $img_url . 'demo1.png',
			),
		);

	}
}
add_filter('pt-ocdi/import_files', 'dreamy_demo_import');
if(!function_exists('dreamy_demo_after_import')){
	function dreamy_demo_after_import(){

		// Assign menus to their locations.
		$main_menu = get_term_by( 'name', 'Primary Menu', 'nav_menu' );
	
		set_theme_mod( 'nav_menu_locations', array(
			'primary-menu' => $main_menu->term_id,
		));


		$front_page_id = get_page_by_title('Portfolio Masonry 3 Col');
		update_option('show_on_front', 'page');
    	update_option('page_on_front', $front_page_id->ID);

		
	}
}
add_action('pt-ocdi/after_import', 'dreamy_demo_after_import');



if(!function_exists('dreamy_demo_setup')){
	function dreamy_demo_setup( $default_settings ){
	    $default_settings['page_title'] = esc_html__( 'One Click Demo Import' , 'dreamy' );
	    $default_settings['menu_title'] = esc_html__( 'Import Demo' , 'dreamy' );
	    $default_settings['menu_slug'] = dreamy_dashboard()->demoimportslug;

	    return $default_settings;
	}
}
add_filter('pt-ocdi/plugin_page_setup', 'dreamy_demo_setup');

add_filter('pt-ocdi/disable_pt_branding', '__return_true');
