<?php

$theme_path_images = DREAMY_THEME_DIRECTORY . 'assets/img/';


Kirki::add_config('dreamy_customize', array(
	'option_type' => 'theme_mod',
	'capability' => 'edit_theme_options'
));

/*
 * General
 * */

Kirki::add_panel('panel_general', array(
	'priority' => 1,
	'title' => esc_html__('General Settings', 'dreamy')
));

Kirki::add_section('section_general_settings', array(
	'title' => esc_html__('General Settings', 'dreamy'),
	'panel' => 'panel_general',
	'priority' => 0,
));

Kirki::add_section('section_body_background', array(
	'title' => esc_html__('Body Background', 'dreamy'),
	'panel' => 'panel_general',
	'priority' => 1,
));

Kirki::add_section('section_selection_color', array(
	'title' => esc_html__('Selection Color', 'dreamy'),
	'panel' => 'panel_general',
	'priority' => 2,
));

Kirki::add_section('section_gmap_key', array(
	'title' => esc_html__('Google Map Key', 'dreamy'),
	'panel' => 'panel_general',
	'priority' => 3,
));



require_once DREAMY_REQUIRE_DIRECTORY . 'framework/setup/section-general.php';


/*
 * Header
 * */


Kirki::add_panel('panel_header', array(
	'priority' => 1,
	'title' => esc_html__('Header Settings', 'dreamy')
));

Kirki::add_section('section_header_general', array(
	'title' => esc_html__('Header General', 'dreamy'),
	'panel' => 'panel_header',
	'priority' => 2,
));

Kirki::add_section('section_header_sidebar', array(
	'title' => esc_html__('Header Sidebar', 'dreamy'),
	'panel' => 'panel_header',
	'priority' => 3,
));

Kirki::add_section('section_header_logo', array(
	'title' => esc_html__('Header Logo', 'dreamy'),
	'panel' => 'panel_header',
	'priority' => 4,
));

Kirki::add_section('section_header_navigation_typography', array(
	'title' => esc_html__('Navigation Typography', 'dreamy'),
	'panel' => 'panel_header',
	'priority' => 5,
));

require_once DREAMY_REQUIRE_DIRECTORY . 'framework/setup/section-header.php';

/*
 * Footer
 * */

Kirki::add_panel('panel_footer', array(
	'priority' => 1,
	'title' => esc_html__('Footer Settings', 'dreamy')
));

Kirki::add_section('section_footer_general', array(
	'title' => esc_html__('Footer General', 'dreamy'),
	'panel' => 'panel_footer',
	'priority' => 2,
));

Kirki::add_section('section_footer_social', array(
    'title' => esc_html__('Footer Social', 'dreamy'),
    'panel' => 'panel_footer',
    'priority' => 3,
    'capability' => 'edit_theme_options',
    'theme_supports' => ''
));

Kirki::add_section('section_footer_typography', array(
	'title' => esc_html__('Footer Typography', 'dreamy'),
	'panel' => 'panel_footer',
	'priority' => 4,
));

require_once DREAMY_REQUIRE_DIRECTORY . 'framework/setup/section-footer.php';

/*
 * 404
 * */

Kirki::add_panel('panel_error', array(
	'priority' => 1,
	'title' => esc_html__('Page 404 Settings', 'dreamy')
));

Kirki::add_section('section_page_404', array(
	'title' => esc_html__('Page 404', 'dreamy'),
	'panel' => 'panel_error',
	'priority' => 2,
));

require_once DREAMY_REQUIRE_DIRECTORY . 'framework/setup/section-error.php';

/*
 * Typography
 * */

Kirki::add_panel('panel_typography', array(
	'priority' => 2,
	'title' => esc_html__('Typography Settings', 'dreamy')
));


Kirki::add_section('typography_fonts', array(
	'title' => esc_html__('Typography Fonts', 'dreamy'),
	'panel' => 'panel_typography',
	'priority' => 1,
));

Kirki::add_section('section_typography_body', array(
	'title' => esc_html__('Body Typography', 'dreamy'),
	'panel' => 'panel_typography',
	'priority' => 2,
));

Kirki::add_section('section_typography_heading', array(
	'title' => esc_html__('Heading Typography', 'dreamy'),
	'panel' => 'panel_typography',
	'priority' => 3,
));

Kirki::add_section('section_typography_other', array(
	'title' => esc_html__('Other Typography', 'dreamy'),
	'panel' => 'panel_typography',
	'priority' => 4,
));


Kirki::add_section('section_typekit', array(
	'title' => esc_html__('Typekit Settings', 'dreamy'),
	'panel' => 'panel_typography',
	'priority' => 5,
));


require_once DREAMY_REQUIRE_DIRECTORY . 'framework/setup/section-typography.php';
require_once DREAMY_REQUIRE_DIRECTORY . 'framework/setup/section-typekit.php';

/*
 * Portfolio Settings
 * */

Kirki::add_section('section_portfolio', array(
	'title' => esc_html__('Portfolio Settings', 'dreamy'),
	'panel' => '',
	'priority' => 6,
));

require_once DREAMY_REQUIRE_DIRECTORY . 'framework/setup/section-portfolio.php';


/*
 * Additional Settings
 * */


Kirki::add_panel('panel_additional', array(
	'priority' => 7,
	'title' => esc_html__('Additional Settings', 'dreamy')
));

Kirki::add_section('section_additional_adminlogo', array(
	'title' => esc_html__('Authorization Logo', 'dreamy'),
	'panel' => 'panel_additional',
	'priority' => 0,
));

Kirki::add_section('section_additional_mobilebar', array(
	'title' => esc_html__('Mobile Bar', 'dreamy'),
	'panel' => 'panel_additional',
	'priority' => 1,
));


require_once DREAMY_REQUIRE_DIRECTORY . 'framework/setup/section-additional.php';
