<?php



/*
 * Action Before Site
 * */

function dreamy_before_site(){



	$main_class = 'vl-site-holder clearfix';

    if(get_theme_mod('preloader_show', true)){
        $main_class .= ' vl-preloader-holder';
    }


    echo '<div class="vl-mobile-menu-wrap"><nav></nav></div>';
    echo '<div class="vl-mobile-overlay"></div>';


    echo '<div class="'.dreamy_sanitize_class($main_class).'">';

}
add_action('dreamy/dreamy_before_site', 'dreamy_before_site');


/*
 * Action After Site
 * */

function dreamy_after_site() {

    if(get_theme_mod('general_back_to_top', true)) {
        echo '<a href="#" class="vl-back-to-top vl-no-select is-hidden"><i class="ion ion-android-arrow-dropup-circle"></i></a>';
    }

    echo '</div>';
}
add_action('dreamy/dreamy_after_site', 'dreamy_after_site');


/*
 * Register Sidebar
 * */

function dreamy_register_sidebar() {

    register_sidebar(array(
        'name' => esc_html__('Blog Sidebar', 'dreamy'),
        'id' => 'blog_sidebar',
        'description' => esc_html__('Blog Sidebar Area', 'dreamy'),
        'before_widget' => '<div id="%1$s" class="vl-widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<div class="vl-widget--title">',
        'after_title' => '</div>',
    ));

    register_sidebar(array(
        'name' => esc_html__('Contact Sidebar', 'dreamy'),
        'id' => 'contact_sidebar',
        'description' => esc_html__('Contact Sidebar Area', 'dreamy'),
        'before_widget' => '<div id="%1$s" class="vl-widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<div class="vl-widget--title">',
        'after_title' => '</div>',
    ));


    register_sidebar(array(
        'name' => esc_html__('Portfolio Sidebar', 'dreamy'),
        'id' => 'portfolio_sidebar',
        'description' => esc_html__('Portfolio Sidebar Area', 'dreamy'),
        'before_widget' => '<div id="%1$s" class="vl-widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<div class="vl-widget--title">',
        'after_title' => '</div>',
    ));


    $header_sidebar_columns = get_theme_mod('header_sidebar_columns', 3);

    $column_class = '';

    switch ($header_sidebar_columns) {
        case 1:
            $column_class .= ' col-md-12';
            break;
        case 2:
            $column_class .= ' col-md-6';
            break;
        case 3:
            $column_class .= ' col-md-4';
            break;
        case 4:
            $column_class .= ' col-md-3';
            break;
    }

    register_sidebar(array(
        'name' => esc_html__('Header Sidebar', 'dreamy'),
        'id' => 'header_sidebar',
        'description' => esc_html__('Header Sidebar Area', 'dreamy'),
        'before_widget' => '<div class="'.$column_class.'"><div id="%1$s" class="vl-widget %2$s">',
        'after_widget' => '</div></div>',
        'before_title' => '<div class="vl-widget--title">',
        'after_title' => '</div>',
    ));


}

add_action('widgets_init', 'dreamy_register_sidebar');


function dreamy_register_widgets() {
    $dreamy_widgets = array(
        'about' => 'dreamy_widget_about',
        'subscribe' => 'dreamy_widget_subscribe',
        'socials' => 'dreamy_widget_socials',
        'twitter' => 'dreamy_widget_twitter',
    );
    foreach ($dreamy_widgets as $key => $value) {
        require_once DREAMY_REQUIRE_DIRECTORY .'framework/includes/widgets/'. sanitize_key( $key ) .'.php';
        register_widget($value);
    }
}

add_action('widgets_init', 'dreamy_register_widgets');