<?php


class DreamyEnqueueAssets{

    const ASSETS_DIRECTORY_URI = '/assets/';

    public function __construct()
    {
        $theme_info = wp_get_theme();
        $this->map_api_key = get_theme_mod('map_api_key');

        $this->customizer_css = DREAMY_THEME_DIRECTORY .'framework/customizer.css';


        $this->assets_dir = get_template_directory_uri() . self::ASSETS_DIRECTORY_URI;
        $this->theme_version = $theme_info['Version'];

        $this->dreamy_init_assets();

    }


    public function dreamy_init_assets(){
        add_action('wp_enqueue_scripts', array($this, 'dreamy_enqueue_scripts'));
        add_action('wp_enqueue_scripts', array($this, 'dreamy_enqueue_styles'));
        add_action('admin_enqueue_scripts', array($this, 'dreamy_enqueue_styles_admin'));
    }

    public function fonts_url() { 
        $fonts_url = ''; 
        $fonts = array(); 
        $subsets = 'latin-ext'; 
        $fonts[] = 'Roboto:400,400italic,700,700italic'; 
        if ( $fonts ) { 
            $fonts_url = add_query_arg( array( 
                'family' => urlencode( implode( '|', $fonts ) ), 
                'subset' => urlencode( $subsets ), 
            ), 'https://fonts.googleapis.com/css' ); 
        } 
        return $fonts_url; 
    }

    public function dreamy_enqueue_scripts() {

        if(is_singular() && comments_open()) {
            wp_enqueue_script('comment-reply');
        }

        wp_enqueue_script( 'imagesloaded' );

        wp_enqueue_script('countTo', $this->assets_dir .'vendors/countTo.js', array('jquery'), $this->theme_version, true);
        wp_enqueue_script('gmap3', $this->assets_dir .'vendors/gmap3.min.js', array('jquery'), $this->theme_version, true);
        wp_enqueue_script('isotope', $this->assets_dir .'vendors/isotope.pkgd.min.js', array('jquery'), $this->theme_version, true);
        wp_enqueue_script('collagePlus', $this->assets_dir .'vendors/jquery.collagePlus.min.js', array('jquery'), $this->theme_version, true);
        wp_enqueue_script('fitvids', $this->assets_dir .'vendors/jquery.fitvids.js', array('jquery'), $this->theme_version, true);
        wp_enqueue_script('inview', $this->assets_dir .'vendors/jquery.inview.js', array('jquery'), $this->theme_version, true);
        wp_enqueue_script('removeWhitespace', $this->assets_dir .'vendors/jquery.removeWhitespace.min.js', array('jquery'), $this->theme_version, true);
        wp_enqueue_script('slicknav', $this->assets_dir .'vendors/jquery.slicknav.min.js', array('jquery'), $this->theme_version, true);
        wp_enqueue_script('sticky', $this->assets_dir .'vendors/jquery.sticky.js', array('jquery'), $this->theme_version, true);
        wp_enqueue_script('jribbble', $this->assets_dir .'vendors/jribbble.js', array('jquery'), $this->theme_version, true);
        wp_enqueue_script('lightcase', $this->assets_dir .'vendors/lightcase.js', array('jquery'), $this->theme_version, true);
        wp_enqueue_script('nprogress', $this->assets_dir .'vendors/nprogress.js', array('jquery'), $this->theme_version, true);
        wp_enqueue_script('owl-carousel', $this->assets_dir .'vendors/owl.carousel.min.js', array('jquery'), $this->theme_version, true);
        wp_enqueue_script('theia', $this->assets_dir .'vendors/theia-sticky-sidebar.js', array('jquery'), $this->theme_version, true);

        wp_enqueue_script('dreamy_custom_script', $this->assets_dir .'scripts/script.js', array('jquery'), $this->theme_version, true);

        if(!empty($this->map_api_key)){
            wp_enqueue_script('gmap', 'https://maps.google.com/maps/api/js?key='.esc_attr($this->map_api_key).'', false, null, false);
        }
    }

    public function dreamy_enqueue_styles() {
        wp_enqueue_style('dreamy_plugins', $this->assets_dir .'css/plugins.min.css', array(), $this->theme_version);
        wp_enqueue_style('dreamy_custom_css', $this->assets_dir .'css/style.css', array(), $this->theme_version);

        if ( !class_exists( 'Kirki' ) ) {
            wp_enqueue_style( 'dreamy_google-fonts', $this->fonts_url(), false, $this->theme_version );
            wp_enqueue_style( 'dreamy_customizer', $this->customizer_css, array(), $this->theme_version );
        }
    }

    public function dreamy_enqueue_styles_admin() {
        wp_enqueue_style('dreamy_custom_admin_css', $this->assets_dir .'css/wp-admin.css', array(), $this->theme_version);
    }


}


new DreamyEnqueueAssets;