<?php


/*
 * Footer
 * */

$priority = 0;


Kirki::add_field('dreamy_customize', array(
    'type' => 'spacing',
    'settings' => 'footer_spacing',
    'label' => esc_html__('Footer Spacing', 'dreamy'),
    'section' => 'section_footer_general',
    'default' => array(
        'top' => '60px',
        'bottom' => '60px',
        'left' => '0px',
        'right' => '0px',
    ),
    'priority' => $priority++,
    'output' => array(
        array(
            'element' => '.vl-footer--default',
            'property' => 'padding' 
        ) 
    ) 
));


Kirki::add_field('dreamy_customize', array(
    'type' => 'color',
    'settings' => 'footer_background',
    'label' => esc_html__('Footer Background', 'dreamy'),
    'section' => 'section_footer_general',
    'default' => '#f2f2f2',
    'priority' => $priority++,
    'output' => array(
        array(
            'element' => '.vl-footer',
            'property' => 'background-color',
        )
    )
));

Kirki::add_field('dreamy_customize', array(
    'type' => 'color',
    'settings' => 'footer_color',
    'label' => esc_html__('Footer Color', 'dreamy'),
    'section' => 'section_footer_general',
    'default' => '#333333',
    'priority' => $priority++,
    'output' => array(
        array(
            'element' => '.vl-footer',
            'property' => 'color',
        )
    )
));


Kirki::add_field('dreamy_customize', array(
    'type' => 'toggle',
    'settings' => 'footer_social',
    'label' => esc_html__('Show Social', 'dreamy'),
    'section' => 'section_footer_social',
    'default' => '1',
    'priority' => $priority++
));


Kirki::add_field('dreamy_customize', array(
    'type' => 'repeater',
    'label' => esc_html__('Social List (Icon)', 'dreamy'),
    'settings' => 'footer_socials',
    'priority' => $priority++,
    'section' => 'section_footer_social',
    'row_label' => array(
        'type' => 'text',
        'value' => esc_html__('Social Link', 'dreamy'),
    ),
    'default' => '',
    'fields' => array(
        'footer_social_text' => array(
            'type' => 'text',
            'label' => esc_html__('Social Text', 'dreamy'),
            'default' => ''
        ),
        'footer_social_link' => array(
            'type' => 'text',
            'label' => esc_html__('Social URL', 'dreamy'),
            'default' => ''
        )
    ),
    'active_callback' => array(
        array(
            'setting' => 'footer_social',
            'operator' => '==',
            'value' => '1'
        )
    )
));


Kirki::add_field('dreamy_customize', array(
    'type' => 'textarea',
    'settings' => 'footer_copyright',
    'label' => esc_html__('Footer Copyright', 'dreamy'),
    'section' => 'section_footer_general',
    'default' => 'Enter your footer copyright',
    'priority' => $priority++,
));



/*
 * Copyright Typography
 * */

Kirki::add_field('dreamy_customize', array(
    'type' => 'typography',
    'settings' => 'footer_copyright_typography',
    'label' => esc_html__('Copyright Typography', 'dreamy'),
    'section' => 'section_footer_typography',
    'priority' => $priority++,
    'default' => array(
        'font-family' => 'Work Sans',
        'variant' => 'regular',
        'font-size' => '14px',
        'line-height' => '1.4rem',
        'letter-spacing' => '0',
        'text-transform' => 'none',
    ),
    'output' => array(
        array(
            'element' => array(
                '.vl-copy'
            )
        )
    )
));