<?php

/*
 * General Settings
 * */

$priority = 0;


Kirki::add_field('dreamy_customize', array(
    'type' => 'dimension',
    'settings' => 'general_container_width',
    'label' => esc_html__('Container Width', 'dreamy'),
    'section' => 'section_general_settings',
    'default' => '960px',
    'priority' => $priority++,
    'output' => array(
        array(
            'element' => '.container',
            'property' => 'max-width',
            'suffix' => '!important'
        )
    )
));

Kirki::add_field('dreamy_customize', array(
    'type' => 'color',
    'settings' => 'general_color',
    'label' => esc_html__('General Color', 'dreamy'),
    'section' => 'section_general_settings',
    'default' => '#f35844',
    'priority' => $priority++,
    'output' => array(
        array(
            'element' => '
                .vl-bgcolor, 
                .vl-btn--primary, 
                .vl-btn-ajax-load, 
                .vl-btn--secondary:not(.disabled):not(:disabled):hover, 
                span.highlight, 
                .vl-shop-cart-link span, 
                .vl-pagination a:hover, 
                .vl-pagination span.current, 
                .vl-pagination-buttons a:hover, 
                #wp-calendar td#today, 
                .owl-carousel .owl-dots .owl-dot.active::after, 
                .owl-carousel .owl-prev, 
                .owl-carousel .owl-next, 
                .vl-video-lightbox--link, 
                .vl-dribbble-shots .vl-dribbble-shot .vl-dribbble-title, 
                .vl-post-link .vl-post-content:hover, 
                .vl-post-quote .vl-post-content:hover,
                .vl-custom-shop-title--line
            ',
            'property' => 'background-color' 
        ),
        array(
            'element' => '
                
            ',
            'property' => 'border-color' 
        ),
        array(
            'element' => '
        
                .vl-color, 
                a:hover, 
                .vl-footer--socials a:hover, 
                .vl-back-to-top:hover, 
                .vl-post-title i, 
                .vl-post-title a:hover, 
                .vl-dark-section .vl-widget ul a:hover, 
                .vl-portfolio-filter a.is-active, 
                .vl-portfolio-sorting a.is-active, 
                .search-query,

                
            ',
            'property' => 'color' 
        ),
        array(
            'element' => '.mejs-controls .mejs-time-rail .mejs-time-current',
            'property' => 'background-color',
            'suffix' => '!important'
        )
    ) 
));


Kirki::add_field('dreamy_customize', array(
    'type' => 'switch',
    'settings' => 'general_back_to_top',
    'label' => esc_html__('Back To Top', 'dreamy'),
    'section' => 'section_general_settings',
    'default' => '1',
    'priority' => $priority++,
    'choices' => array(
        'on'  => esc_html__('Show', 'dreamy'),
        'off' => esc_html__('Hide', 'dreamy')
    )
));

Kirki::add_field('dreamy_customize', array(
    'type' => 'switch',
    'settings' => 'preloader_show',
    'label' => esc_html__('Preloader', 'dreamy'),
    'section' => 'section_general_settings',
    'default' => '1',
    'priority' => $priority++,
    'choices' => array(
        'on'  => esc_html__('Show', 'dreamy'),
        'off' => esc_html__('Hide', 'dreamy')
    )
));

Kirki::add_field('dreamy_customize', array(
    'type' => 'switch',
    'settings' => 'pinterest_share',
    'label' => esc_html__('Pinterest Share', 'dreamy'),
    'section' => 'section_general_settings',
    'default' => '1',
    'priority' => $priority++,
    'choices' => array(
        'on'  => esc_html__('Show', 'dreamy'),
        'off' => esc_html__('Hide', 'dreamy')
    )
));


/*
 * Body Background
 * */

$priority = 0;

Kirki::add_field('dreamy_customize', array(
    'type' => 'color',
    'settings' => 'site_background_color',
    'label' => esc_html__('Body Background', 'dreamy'),
    'section' => 'section_body_background',
    'default' => '#ffffff',
    'priority' => $priority++,
    'output' => array(
        array(
            'element' => 'body',
            'property' => 'background-color'
        )
    )
));


/*
 * Selection Color
 * */

$priority = 0;

Kirki::add_field('dreamy_customize', array(
    'type' => 'color',
    'settings' => 'selection_color',
    'label' => esc_html__('Selection Color', 'dreamy'),
    'section' => 'section_selection_color',
    'default' => '#ffffff',
    'priority' => $priority++,
    'output' => array(
        array(
            'element' => '::selection',
            'property' => 'color',
            'suffix' => '!important',
        ),
        array(
            'element' => '::-moz-selection',
            'property' => 'color',
            'suffix' => '!important',
        )
    )
));


Kirki::add_field('dreamy_customize', array(
    'type' => 'color',
    'settings' => 'selection_background_color',
    'label' => esc_html__('Selection Background Color', 'dreamy'),
    'section' => 'section_selection_color',
    'default' => '#333333',
    'priority' => $priority++,
    'output' => array(
        array(
            'element' => '::selection',
            'property' => 'background-color',
            'suffix' => '!important',
        ),
        array(
            'element' => '::-moz-selection',
            'property' => 'background-color',
            'suffix' => '!important',
        )
    )
));

/*
 * Google map API key
 * */

Kirki::add_field('dreamy_customize', array(
    'type' => 'text',
    'settings' => 'map_api_key',
    'label' => esc_html__('Google Map API Key', 'dreamy'),
    'section' => 'section_gmap_key',
    'default' => '',
    'priority' => $priority++,
));
