<?php

/*
 * Header General
 * */

$priority = 0;

Kirki::add_field('dreamy_customize', array(
    'type' => 'spacing',
    'settings' => 'header_spacing',
    'label' => esc_html__('Header Spacing', 'dreamy'),
    'section' => 'section_header_general',
    'default' => array(
        'top' => '70px',
        'bottom' => '20px',
        'left' => '40px',
        'right' => '40px',
    ),
    'priority' => $priority++,
    'output' => array(
        array(
            'element' => '.vl-header-inner',
            'property' => 'padding' 
        ) 
    ) 
));


Kirki::add_field('dreamy_customize', array(
    'type' => 'switch',
    'settings' => 'header_fixed',
    'label' => esc_html__('Header Fixed', 'dreamy'),
    'section' => 'section_header_general',
    'default' => '1',
    'priority' => $priority++,
    'choices' => array(
        'on'  => esc_html__('Yes', 'dreamy'),
        'off' => esc_html__('No', 'dreamy')
    )
));


/*
 * Header Sidebar
 * */

$priority = 0;

Kirki::add_field('dreamy_customize', array(
    'type' => 'switch',
    'settings' => 'header_sidebar',
    'label' => esc_html__('Header Sidebar', 'dreamy'),
    'section' => 'section_header_sidebar',
    'default' => '1',
    'priority' => $priority++,
    'choices' => array(
        'on'  => esc_html__('Show', 'dreamy'),
        'off' => esc_html__('Hide', 'dreamy')
    )
));


Kirki::add_field('dreamy_customize', array(
    'type' => 'number',
    'settings' => 'header_sidebar_columns',
    'label' => esc_html__('Header Sidebar Columns', 'dreamy'),
    'section' => 'section_header_sidebar',
    'default' => '3',
    'priority' => $priority++,
    'choices' => array(
        'min' => 1,
        'max' => 4,
        'step' => 1,
    ),
));




/*
 * Header Logo
 * */

$priority = 0;



Kirki::add_field('dreamy_customize', array(
    'type' => 'image',
    'settings' => 'header_logo_image_dark',
    'label' => esc_html__('Image Logo Dark', 'dreamy'),
    'section' => 'section_header_logo',
    'default' => $theme_path_images . 'logo_dark.png',
    'priority' => $priority++,
));

Kirki::add_field('dreamy_customize', array(
    'type' => 'dimension',
    'settings' => 'header_logo_image_height',
    'label' => esc_html__('Logo Height', 'dreamy'),
    'section' => 'section_header_logo',
    'default' => '25px',
    'priority' => $priority++,
));

/*
 * Navigation Typography
 * */

Kirki::add_field('dreamy_customize', array(
    'type' => 'typography',
    'settings' => 'header_navigation_typography',
    'label' => esc_html__('Navigation Typography', 'dreamy'),
    'section' => 'section_header_navigation_typography',
    'priority' => $priority++,
    'default' => array(
        'font-family' => 'Roboto',
        'variant' => 'regular',
        'font-size' => '14px',
        'line-height' => '1.4rem',
        'letter-spacing' => '0',
        'text-transform' => 'none',
    ),
    'output' => array(
        array(
            'element' => array(
                '.vl-primary-nav ul li a, .vl-mobile-menu-wrap ul li a'
            )
        )
    )
));
