<?php

/**
 * Typekit
 */

$priority = 0;

Kirki::add_field( 'dreamy_customize', array(
    'type' => 'switch',
    'settings' => 'enable_typekit',
    'label' => esc_html__( 'Enable Typekit', 'dreamy' ) ,
    'section' => 'section_typekit',
    'default' => '0',
    'priority' => $priority++,
    'transport' => 'auto',
    'choices' => array(
        'on'  => esc_html__( 'Enable', 'dreamy' ),
        'off' => esc_html__( 'Disable', 'dreamy' )
    )
) );

Kirki::add_field( 'dreamy_customize', array(
    'type' => 'text',
    'settings' => 'typekit_id',
    'label' => esc_html__( 'Typekit ID', 'dreamy' ) ,
    'section' => 'section_typekit',
    'default' => '',
    'priority' => $priority++,
    'transport' => 'auto',
    'active_callback' => array(
        array(
            'setting' => 'enable_typekit',
            'operator' => '==',
            'value' => '1',
        )
    ) ,
) );

Kirki::add_field( 'dreamy_customize', array(
    'type' => 'repeater',
    'label' => esc_html__( 'Typekit Fonts', 'dreamy' ) ,
    'description' => esc_html__( 'Here you can add typekit fonts', 'dreamy' ) ,
    'settings' => 'typekit_fonts',
    'priority' => $priority++,
    'transport' => 'auto',
    'section' => 'section_typekit',
    'row_label' => array(
        'type' => 'text',
        'value' => esc_html__( 'Typekit Font', 'dreamy' ) ,
    ),
    'default' => '',
    'fields' => array(
        'font_name' => array(
            'type' => 'text',
            'label' => esc_html__( 'Name', 'dreamy' ) ,
        ) ,
        'font_css_name' => array(
            'type' => 'text',
            'label' => esc_html__( 'CSS Name', 'dreamy' ) ,
        ) ,
        'font_variants' => array(
            'type' => 'select',
            'label' => esc_html__( 'Variants', 'dreamy' ) ,
            'multiple' => 18,
            'choices' => array(
                '100' => esc_html__( '100', 'dreamy' ) ,
                '100italic' => esc_html__( '100italic', 'dreamy' ) ,
                '200' => esc_html__( '200', 'dreamy' ) ,
                '200italic' => esc_html__( '200italic', 'dreamy' ) ,
                '300' => esc_html__( '300', 'dreamy' ) ,
                '300italic' => esc_html__( '300italic', 'dreamy' ) ,
                'regular' => esc_html__( 'regular', 'dreamy' ) ,
                'italic' => esc_html__( 'italic', 'dreamy' ) ,
                '500' => esc_html__( '500', 'dreamy' ) ,
                '500italic' => esc_html__( '500italic', 'dreamy' ) ,
                '600' => esc_html__( '600', 'dreamy' ) ,
                '600italic' => esc_html__( '600italic', 'dreamy' ) ,
                '700' => esc_html__( '700', 'dreamy' ) ,
                '700italic' => esc_html__( '700italic', 'dreamy' ) ,
                '800' => esc_html__( '800', 'dreamy' ) ,
                '800italic' => esc_html__( '800italic', 'dreamy' ) ,
                '900' => esc_html__( '900', 'dreamy' ) ,
                '900italic' => esc_html__( '900italic', 'dreamy' ) ,
            )
        ),
        'font_fallback' => array(
            'type' => 'select',
            'label' => esc_html__( 'Fallback', 'dreamy' ) ,
            'choices' => array(
                'sans-serif' => esc_html__( 'Helvetica, Arial, sans-serif', 'dreamy' ) ,
                'serif' => esc_html__( 'Georgia, serif', 'dreamy' ) ,
                'display' => esc_html__( '"Comic Sans MS", cursive, sans-serif', 'dreamy' ) ,
                'handwriting' => esc_html__( '"Comic Sans MS", cursive, sans-serif', 'dreamy' ) ,
                'monospace' => esc_html__( '"Lucida Console", Monaco, monospace', 'dreamy' ) ,
            )
        ) ,
        'font_subsets' => array(
            'type' => 'select',
            'label' => esc_html__( 'Subsets', 'dreamy' ) ,
            'multiple' => 7,
            'choices' => array(
                'cyrillic' => esc_html__( 'Cyrillic', 'dreamy' ) ,
                'cyrillic-ext' => esc_html__( 'Cyrillic Extended', 'dreamy' ) ,
                'devanagari' => esc_html__( 'Devanagari', 'dreamy' ) ,
                'greek' => esc_html__( 'Greek', 'dreamy' ) ,
                'greek-ext' => esc_html__( 'Greek Extended', 'dreamy' ) ,
                'khmer' => esc_html__( 'Khmer', 'dreamy' ) ,
                'latin' => esc_html__( 'Latin', 'dreamy' ) ,
            )
        ) ,
    ) ,
    'active_callback' => array(
        array(
            'setting' => 'enable_typekit',
            'operator' => '==',
            'value' => '1'
        )
    )
) );