<?php



/*
 * Fonts
 * */

$priority = 0;

Kirki::add_field( 'dreamy_customize', array(
	'type' => 'typography',
	'settings' => 'primary_font',
	'section' => 'typography_fonts',
	'label' => esc_html__( 'Primary Font', 'dreamy' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'variant' => array(
			'regular',
			'italic',
			'700',
			'700italic',
		),
	),
	'default' => array(
		'font-family' => 'Roboto'
	),
	'output' => array(
		array(
			'element' => '.vl-primary-font' 
		) 
	) 
) );


/*
 * Body
 * */

$priority = 0;

Kirki::add_field('dreamy_customize', array(
	'type' => 'typography',
	'settings' => 'body_typography',
	'label' => esc_html__('Body Typography', 'dreamy'),
	'section' => 'section_typography_body',
	'priority' => $priority++,
	'default' => array(
		'font-family' => 'Roboto',
		'variant' => 'regular',
		'font-size' => '16px',
		'line-height' => '1.6rem',
		'letter-spacing' => '0',
		'color' => '#333333',
		'text-transform' => 'none',
	),
	'output' => array(
		array(
			'element' => array(
				'body'
			)
		)
	)
));


/*
 * Headings
 * */

$priority = 0;

Kirki::add_field('dreamy_customize', array(
	'type' => 'typography',
	'settings' => 'h1_typography',
	'label' => esc_html__('H1 Typography', 'dreamy'),
	'section' => 'section_typography_heading',
	'priority' => $priority++,
	'default' => array(
		'font-family' => 'Roboto',
		'variant' => '700',
		'font-size' => '38px',
		'line-height' => '3.8rem',
		'letter-spacing' => '0',
		'color' => '#333333',
		'text-transform' => 'none'
	),
	'output' => array(
		array(
			'element' => array(
				'h1, .h1'
			)
		)
	)
));

Kirki::add_field('dreamy_customize', array(
	'type' => 'typography',
	'settings' => 'h2_typography',
	'label' => esc_html__('H2 Typography', 'dreamy'),
	'section' => 'section_typography_heading',
	'priority' => $priority++,
	'default' => array(
        'font-family' => 'Roboto',
        'variant' => '700',
        'font-size' => '32px',
        'line-height' => '3.2rem',
        'letter-spacing' => '0',
        'color' => '#333333',
        'text-transform' => 'none'
	),
	'output' => array(
		array(
			'element' => array(
				'h2, .h2'
			)
		)
	)
));

Kirki::add_field('dreamy_customize', array(
	'type' => 'typography',
	'settings' => 'h3_typography',
	'label' => esc_html__('H3 Typography', 'dreamy'),
	'section' => 'section_typography_heading',
	'priority' => $priority++,
    'default' => array(
        'font-family' => 'Roboto',
        'variant' => '700',
        'font-size' => '26px',
        'line-height' => '2.6rem',
        'letter-spacing' => '0',
        'color' => '#333333',
        'text-transform' => 'none'
    ),
	'output' => array(
		array(
			'element' => array(
				'h3, .h3'
			)
		)
	)
));


Kirki::add_field('dreamy_customize', array(
	'type' => 'typography',
	'settings' => 'h4_typography',
	'label' => esc_html__('H4 Typography', 'dreamy'),
	'section' => 'section_typography_heading',
	'priority' => $priority++,
    'default' => array(
        'font-family' => 'Roboto',
        'variant' => '700',
        'font-size' => '22px',
        'line-height' => '2.2rem',
        'letter-spacing' => '0',
        'color' => '#333333',
        'text-transform' => 'none'
    ),
	'output' => array(
		array(
			'element' => array(
				'h4, .h4'
			)
		)
	)
));


Kirki::add_field('dreamy_customize', array(
    'type' => 'typography',
    'settings' => 'h5_typography',
    'label' => esc_html__('H5 Typography', 'dreamy'),
    'section' => 'section_typography_heading',
    'priority' => $priority++,
    'default' => array(
        'font-family' => 'Roboto',
        'variant' => '700',
        'font-size' => '17px',
        'line-height' => '1.7rem',
        'letter-spacing' => '0',
        'color' => '#333333',
        'text-transform' => 'none'
    ),
    'output' => array(
        array(
            'element' => array(
                'h5, .h5'
            )
        )
    )
));

Kirki::add_field('dreamy_customize', array(
	'type' => 'typography',
	'settings' => 'h6_typography',
	'label' => esc_html__('H6 Typography', 'dreamy'),
	'section' => 'section_typography_heading',
	'priority' => $priority++,
    'default' => array(
        'font-family' => 'Roboto',
        'variant' => '700',
        'font-size' => '15px',
        'line-height' => '1.5rem',
        'letter-spacing' => '0',
        'color' => '#333333',
        'text-transform' => 'none'
    ),
	'output' => array(
		array(
			'element' => array(
				'h6, .h6'
			)
		)
	)
));


/*
 * Other
 * */

$priority = 0;

Kirki::add_field('dreamy_customize', array(
	'type' => 'typography',
	'settings' => 'blockquote_typography',
	'label' => esc_html__('Blockquote Typography', 'dreamy'),
	'section' => 'section_typography_other',
	'priority' => $priority++,
	'default' => array(
		'font-family' => 'Roboto',
		'variant' => '700',
		'font-size' => '26px',
		'line-height' => '2rem',
		'letter-spacing' => '0',
		'color' => '#333333',
		'text-transform' => 'none',
	),
	'output' => array(
		array(
			'element' => array(
				'blockquote'
			)
		)
	)
));


Kirki::add_field('dreamy_customize', array(
    'type' => 'typography',
    'settings' => 'address_typography',
    'label' => esc_html__('Address Typography', 'dreamy'),
    'section' => 'section_typography_other',
    'priority' => $priority++,
    'default' => array(
        'font-family' => 'Roboto',
        'variant' => 'italic',
        'font-size' => '20px',
        'line-height' => '1.9rem',
        'letter-spacing' => '0',
        'color' => '#333333',
        'text-transform' => 'none',
    ),
    'output' => array(
        array(
            'element' => array(
                'address'
            )
        )
    )
));


Kirki::add_field('dreamy_customize', array(
	'type' => 'typography',
	'settings' => 'button_typography',
	'label' => esc_html__('Button Typography', 'dreamy'),
	'section' => 'section_typography_other',
	'priority' => $priority++,
	'default' => array(
		'font-family' => 'Roboto',
		'variant' => '700',
		'font-size' => '14px',
		'line-height' => '1rem',
		'letter-spacing' => '0',
		'text-transform' => 'uppercase',
	),
	'output' => array(
		array(
			'element' => array(
				'.vl-btn'
			)
		)
	)
));


Kirki::add_field('dreamy_customize', array(
	'type' => 'typography',
	'settings' => 'widget_title_typography',
	'label' => esc_html__('Widget Title Typography', 'dreamy'),
	'section' => 'section_typography_other',
	'priority' => $priority++,
	'default' => array(
		'font-family' => 'Roboto',
		'variant' => '700',
		'font-size' => '15px',
		'line-height' => '1.5rem',
		'letter-spacing' => '0',
		'color' => '#333333',
		'text-transform' => 'none',
	),
	'output' => array(
		array(
			'element' => '.vl-widget--title'
		)
	)
));

Kirki::add_field('dreamy_customize', array(
    'type' => 'typography',
    'settings' => 'widget_list_typography',
    'label' => esc_html__('Widget List Typography', 'dreamy'),
    'section' => 'section_typography_other',
    'priority' => $priority++,
    'default' => array(
        'font-family' => 'Roboto',
        'variant' => 'regular',
        'font-size' => '14px',
        'line-height' => '1.4rem',
        'letter-spacing' => '0',
        'color' => '#333333',
        'text-transform' => 'none',
    ),
    'output' => array(
        array(
            'element' => '.vl-widget'
        )
    )
));

Kirki::add_field('dreamy_customize', array(
	'type' => 'typography',
	'settings' => 'input_typography',
	'label' => esc_html__('Input Typography', 'dreamy'),
	'section' => 'section_typography_other',
	'priority' => $priority++,
	'default' => array(
		'font-family' => 'Roboto',
		'variant' => 'regular',
		'font-size' => '15px',
		'line-height' => '1.5rem',
		'letter-spacing' => '0',
		'color' => '#333333',
		'text-transform' => 'none'
	),
	'output' => array(
		array(
			'element' => array(
				'input:not([type="submit"]), textarea, select'
			)
		)
	)
));

Kirki::add_field('dreamy_customize', array(
    'type' => 'typography',
    'settings' => 'label_typography',
    'label' => esc_html__('Label Typography', 'dreamy'),
    'section' => 'section_typography_other',
    'priority' => $priority++,
    'default' => array(
        'font-family' => 'Roboto',
        'variant' => 'regular',
        'font-size' => '16px',
        'line-height' => '1.6rem',
        'letter-spacing' => '0',
        'color' => '#333333',
        'text-transform' => 'none'
    ),
    'output' => array(
        array(
            'element' => array(
                'label'
            )
        )
    )
));
