<?php


$blog_type_navigation = get_field('blog_type_navigation', get_queried_object_id());
$blog_max_posts = get_field('blog_max_posts', get_queried_object_id());
$blog_layout = get_field('blog_layout', get_queried_object_id());
$blog_sidebar = get_field('blog_sidebar', get_queried_object_id());

$blog_query_filter = '';
$categories = get_field('blog_show_post_from_cat', get_queried_object_id());

if ($categories) {
    foreach ($categories as $categorie) {
        $filter = get_term_by('id', $categorie, 'category');
        $blog_query_filter .= $filter->slug . ',';
    }
}




$paged = get_query_var('paged') ? get_query_var('paged') : (get_query_var('page') ? get_query_var('page') : 1);

$args = array(
	'paged' => $paged,
    'category_name' => $blog_query_filter,
	'post_type' => 'post',
	'posts_per_page' => $blog_max_posts
);

$new_query = new WP_Query($args);


$data_col = '';

switch ($blog_layout) {
	case 'masonry-two':
		$blog_container_class = ' vl-postlist vl-postlist-masonry isotope clearfix';
		$data_col = 'data-col=2';
        $grid_builder = $blog_sidebar ? 'col-md-9' : 'col-md-12';
		break;
    case 'masonry-three':
        $blog_container_class = ' vl-postlist vl-postlist-masonry isotope clearfix';
        $data_col = 'data-col=3';
        $grid_builder = $blog_sidebar ? 'col-md-9' : 'col-md-12';
        break;
	case 'default':
        $grid_builder = $blog_sidebar ? 'col-md-9' : 'col-md-10 offset-md-1';
		$blog_container_class = ' vl-postlist vl-postlist-default clearfix';
		break;
    case 'minimal':
        $grid_builder = $blog_sidebar ? 'col-md-9' : 'col-md-12';
        $blog_container_class = ' vl-postlist vl-postlist-minimal clearfix';
        break;
}




?>


<div class="row">

    <div class="<?php echo dreamy_sanitize_class($grid_builder); ?>">

        <?php if ($new_query->have_posts()): ?>

            <div <?php echo esc_attr($data_col); ?> class="<?php echo dreamy_sanitize_class($blog_container_class); ?>">

                <?php

                while ($new_query->have_posts()) : $new_query->the_post();


                    get_template_part('templates/post/dreamy-post-acf', $blog_layout);


                endwhile;


                wp_reset_postdata();


                ?>

            </div>

            <?php

            switch ($blog_type_navigation) {
                case 'pagination':
                    echo dreamy_page_navigation($new_query, true);
                    break;
                case 'buttons':
                    echo dreamy_page_navigation($new_query, false);
                    break;
                case 'ajax':
                    echo '<div class="vl-pagination-ajax clearfix vl-text-center"><a href="#" class="vl-btn vl-btn-ajax-load"><span>'.esc_html__('Load More', 'dreamy').'</span><span class="icon"><i class="ion ion-load-c"></i></span></a></div>' . dreamy_infinity_load($new_query);
                    break;
            }



        else:

            get_template_part('templates/content/dreamy-content','none');

        endif;
        ?>


    </div>


    <?php if($blog_sidebar): ?>

        <div class="col-md-3 hidden-sm-down">
            <?php get_sidebar(); ?>
        </div>

    <?php endif; ?>

</div>



