<?php

$post_class = 'vl-post-minimal clearfix';
$image_size = 'dreamy_small_rect_horizontal';

$blog_sidebar = get_field('blog_sidebar', get_queried_object_id());
$excerpt_length = $blog_sidebar ? 16 : 55;

$post_format = get_post_format();


if($post_format == 'link'){

    $post_class .= ' vl-post-link';

    ?>

    <article <?php post_class($post_class); ?> id="post-<?php the_ID(); ?>">

        <div class="vl-post-content">

            <h3 class="vl-post-title clearfix"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>

            <p class="vl-post-link-url"><a href="<?php echo esc_url(get_field('post_link_url')); ?>"><?php the_field('post_link_url'); ?></a></p>

        </div>

    </article>

<?php }elseif($post_format == 'quote'){

    $post_class .= ' vl-post-quote';

    ?>
    <article <?php post_class($post_class); ?> id="post-<?php the_ID(); ?>">

        <div class="vl-post-content">

            <blockquote><?php the_field('post_quote_text'); ?></blockquote>

            <p class="vl-post-quote-author"><a href="<?php the_permalink(); ?>"><?php the_field('post_quote_author'); ?></a></p>

        </div>

    </article>

<?php }else{ ?>

    <article <?php post_class($post_class); ?> id="post-<?php the_ID(); ?>">
        <div class="row">
            <div class="col-md-5">
                <?php echo dreamy_post_thumbnail_postformat(get_post_format(), $image_size); ?>
            </div>
            <div class="col-md-7">
                <div class="vl-post-content">

                    <h3 class="vl-post-title clearfix"><?php if(is_sticky()){ echo '<i class="ion ion-heart"></i>'; } ?><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>

                    <?php echo dreamy_post_meta('<div class="vl-post-meta">', '</div>'); ?>

                    <?php echo dreamy_limit_text(get_the_content(), $excerpt_length); ?>

                    <div class="vl-post-footer clearfix">
                        <a href="<?php the_permalink(); ?>"><?php esc_html_e('Read More &#65515;', 'dreamy'); ?></a>
                    </div>

                </div>
            </div>
        </div>
    </article>


<?php } ?>