<?php

$post_class = 'vl-post-default clearfix';
$post_format = get_post_format();


if($post_format == 'link' && class_exists('acf')){

    $post_class .= ' vl-post-link';

    ?>

    <article <?php post_class($post_class); ?> id="post-<?php the_ID(); ?>">

        <div class="vl-post-content">

            <h3 class="vl-post-title clearfix"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>

            <p class="vl-post-link-url"><a href="<?php echo esc_url(get_field('post_link_url')); ?>"><?php the_field('post_link_url'); ?></a></p>

        </div>

    </article>

<?php }elseif($post_format == 'quote' && class_exists('acf')){

    $post_class .= ' vl-post-quote';

?>
    <article <?php post_class($post_class); ?> id="post-<?php the_ID(); ?>">

        <div class="vl-post-content">

            <blockquote><?php the_field('post_quote_text'); ?></blockquote>

            <p class="vl-post-quote-author"><a href="<?php the_permalink(); ?>"><?php the_field('post_quote_author'); ?></a></p>

        </div>

    </article>

<?php }else{ ?>


    <article <?php post_class($post_class); ?> id="post-<?php the_ID(); ?>">

        <?php echo dreamy_post_thumbnail_postformat(get_post_format(), 'dreamy_large_rect_horizontal'); ?>

        <div class="vl-post-content">

            <h3 class="vl-post-title clearfix"><?php if(is_sticky()){ echo '<i class="ion ion-heart"></i>'; } ?><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>

            <?php echo dreamy_post_meta('<div class="vl-post-meta clearfix">', '</div>'); ?>

            <?php echo dreamy_limit_text(get_the_content(), 60); ?>

            <div class="vl-post-footer clearfix">
                <a class="vl-btn vl-btn--primary" href="<?php the_permalink(); ?>"><?php esc_html_e('Read More', 'dreamy'); ?></a>
            </div>

        </div>

    </article>



<?php } ?>